Subject: Re: bug#9157: [PATCH] dd: sparse conv flag

From: Pádraig Brady <[email-masked]>
Date: Mon, 27 Feb 2012 18:06:12 +0000

On 02/27/2012 05:14 PM, Paul Eggert wrote:
> On 02/27/2012 08:10 AM, Pádraig Brady wrote:
>> I'm also thinking I should warn once when
>> the new lseek fails, but only after the fall back
>> write() succeeds.
> 
> I wouldn't bother.  Either diagnostic should suffice,
> and warning about the lseek would slow the app down
> a bit and make it more complicated.

Yep, I meant defer to the write() diagnostic.

What I was wondering was whether to warn about
the case where the seek fails but the write succeeds like here:

  dd conv=sparse bs=1 count=10 | ...

I'll leave it as advisory for now, and not have
a warning for the above case.

cheers,
Pádraig.